import QtQuick 2.9
import Lomiri.Components 1.3
import Lomiri.Components.ListItems 1.3 as ListItem
import Lomiri.OnlineAccounts.Plugin 1.0

MainView {
    id: root

    property var signonRequest: request

    width: units.gu(60)
    height: units.gu(90)

    Page {

        header: PageHeader {
            id: pageHeader
            title: signonRequest.title
        }

        WebView {
            id: loader
            signonRequest: root.signonRequest

            anchors {
                top: pageHeader.bottom
                left: parent.left
                right: parent.right
                bottom: parent.bottom
                bottomMargin: Math.max(osk.height, cancelButton.height)
            }
        }

        ListItem.SingleControl {
            id: cancelButton
            anchors.bottom: parent.bottom
            showDivider: false
            control: Button {
                text: i18n.dtr("lomiri-online-accounts", "Cancel")
                width: parent.width - units.gu(4)
                onClicked: signonRequest.cancel()
            }
        }

        KeyboardRectangle {
            id: osk
        }
    }
}
