/*
 * This file is part of libOnlineAccounts
 *
 * Copyright (C) 2015 Canonical Ltd.
 *
 * Contact: Alberto Mardegan <alberto.mardegan@canonical.com>
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License version 3, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranties of
 * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef OAD_FAKE_ONLINE_ACCOUNTS_SERVICE_H
#define OAD_FAKE_ONLINE_ACCOUNTS_SERVICE_H

#include <QString>
#include <QVariantMap>
#include <libqtdbusmock/DBusMock.h>

class FakeOnlineAccountsService
{
public:
    FakeOnlineAccountsService(QtDBusMock::DBusMock *mock): m_mock(mock) {
        m_mock->registerTemplate("com.lomiri.OnlineAccountsUi",
                                 ONLINE_ACCOUNTS_SERVICE_MOCK_TEMPLATE,
                                 QDBusConnection::SessionBus);
    }

    void setRequestAccessReply(const QVariantMap &reply) {
        mocked().call("SetRequestAccessReply", reply);
    }

private:
    OrgFreedesktopDBusMockInterface &mocked() {
        return m_mock->mockInterface("com.lomiri.OnlineAccountsUi",
                                     "/",
                                     "com.lomiri.OnlineAccountsUi",
                                     QDBusConnection::SessionBus);
    }

private:
    QtDBusMock::DBusMock *m_mock;
};

#endif // OAD_FAKE_ONLINE_ACCOUNTS_SERVICE_H
